@echo off
if %1a==a goto vege
if %2a==a goto vege
md %2
cd %2
if %3a==a goto docopy1
md %3
cd %3
if %4a==a goto docopy2
md %4
cd %4
if %5a==a goto docopy3
rem docopy4
md %5
cd %5
copy %1\%2\%3\%4\%5\*.* > NUL
goto skipcopy
:docopy3
copy %1\%2\%3\%4\*.* > NUL
goto skipcopy
:docopy2
copy %1\%2\%3\*.* > NUL
goto skipcopy
:docopy1
copy %1\%2\*.* > NUL
:skipcopy
cd ..
if %3a==a goto vege
cd ..
if %4a==a goto vege
cd ..
if %5a==a goto vege
cd ..
:vege
